haxr-3000.11.2: XML-RPC client and server library.

Safe Haskell | None
Language | Haskell2010

Network.XmlRpc.DTD_XMLRPC

# Documentation

newtype I4 Source #

Constructors

I4 String |

Instances

Eq I4 Source # |
Methods (==) :: I4 -> I4 -> Bool # (/=) :: I4 -> I4 -> Bool #
Show I4 Source # |
Methods showsPrec :: Int -> I4 -> ShowS # show :: I4 -> String # showList :: [I4] -> ShowS #
XmlContent I4 Source # |
Methods parseContents :: XMLParser I4 # toContents :: I4 -> [Content ()] # xToChar :: I4 -> Char # xFromChar :: Char -> I4 #
HTypeable I4 Source # |
Methods toHType :: I4 -> HType #

newtype I8 Source #

Constructors

I8 String |

Instances

Eq I8 Source # |
Methods (==) :: I8 -> I8 -> Bool # (/=) :: I8 -> I8 -> Bool #
Show I8 Source # |
Methods showsPrec :: Int -> I8 -> ShowS # show :: I8 -> String # showList :: [I8] -> ShowS #
XmlContent I8 Source # |
Methods parseContents :: XMLParser I8 # toContents :: I8 -> [Content ()] # xToChar :: I8 -> Char # xFromChar :: Char -> I8 #
HTypeable I8 Source # |
Methods toHType :: I8 -> HType #

newtype AInt Source #

Constructors

AInt String |

Instances

Eq AInt Source # |
Methods (==) :: AInt -> AInt -> Bool # (/=) :: AInt -> AInt -> Bool #
Show AInt Source # |
Methods showsPrec :: Int -> AInt -> ShowS # show :: AInt -> String # showList :: [AInt] -> ShowS #
XmlContent AInt Source # |
Methods parseContents :: XMLParser AInt # toContents :: AInt -> [Content ()] # xToChar :: AInt -> Char # xFromChar :: Char -> AInt #
HTypeable AInt Source # |
Methods toHType :: AInt -> HType #

newtype Boolean Source #

Constructors

Boolean String |

Instances

Eq Boolean Source # |
Methods (==) :: Boolean -> Boolean -> Bool # (/=) :: Boolean -> Boolean -> Bool #
Show Boolean Source # |
Methods showsPrec :: Int -> Boolean -> ShowS # show :: Boolean -> String # showList :: [Boolean] -> ShowS #
XmlContent Boolean Source # |
Methods parseContents :: XMLParser Boolean # toContents :: Boolean -> [Content ()] # xToChar :: Boolean -> Char # xFromChar :: Char -> Boolean #
HTypeable Boolean Source # |
Methods toHType :: Boolean -> HType #

newtype AString Source #

Constructors

AString String |

Instances

Eq AString Source # |
Methods (==) :: AString -> AString -> Bool # (/=) :: AString -> AString -> Bool #
Show AString Source # |
Methods showsPrec :: Int -> AString -> ShowS # show :: AString -> String # showList :: [AString] -> ShowS #
XmlContent AString Source # |
Methods parseContents :: XMLParser AString # toContents :: AString -> [Content ()] # xToChar :: AString -> Char # xFromChar :: Char -> AString #
HTypeable AString Source # |
Methods toHType :: AString -> HType #

newtype ADouble Source #

Constructors

ADouble String |

Instances

Eq ADouble Source # |
Methods (==) :: ADouble -> ADouble -> Bool # (/=) :: ADouble -> ADouble -> Bool #
Show ADouble Source # |
Methods showsPrec :: Int -> ADouble -> ShowS # show :: ADouble -> String # showList :: [ADouble] -> ShowS #
XmlContent ADouble Source # |
Methods parseContents :: XMLParser ADouble # toContents :: ADouble -> [Content ()] # xToChar :: ADouble -> Char # xFromChar :: Char -> ADouble #
HTypeable ADouble Source # |
Methods toHType :: ADouble -> HType #

newtype DateTime_iso8601 Source #

Constructors

DateTime_iso8601 String |

Instances

Eq DateTime_iso8601 Source # |
Methods (==) :: DateTime_iso8601 -> DateTime_iso8601 -> Bool # (/=) :: DateTime_iso8601 -> DateTime_iso8601 -> Bool #
Show DateTime_iso8601 Source # |
Methods showsPrec :: Int -> DateTime_iso8601 -> ShowS # show :: DateTime_iso8601 -> String # showList :: [DateTime_iso8601] -> ShowS #
XmlContent DateTime_iso8601 Source # |
Methods parseContents :: XMLParser DateTime_iso8601 # toContents :: DateTime_iso8601 -> [Content ()] # xToChar :: DateTime_iso8601 -> Char # xFromChar :: Char -> DateTime_iso8601 #
HTypeable DateTime_iso8601 Source # |
Methods toHType :: DateTime_iso8601 -> HType #

newtype Base64 Source #

Constructors

Base64 String |

Instances

Eq Base64 Source # |
Methods (==) :: Base64 -> Base64 -> Bool # (/=) :: Base64 -> Base64 -> Bool #
Show Base64 Source # |
Methods showsPrec :: Int -> Base64 -> ShowS # show :: Base64 -> String # showList :: [Base64] -> ShowS #
XmlContent Base64 Source # |
Methods parseContents :: XMLParser Base64 # toContents :: Base64 -> [Content ()] # xToChar :: Base64 -> Char # xFromChar :: Char -> Base64 #
HTypeable Base64 Source # |
Methods toHType :: Base64 -> HType #

newtype Data Source #

Constructors

Data [Value] |

Instances

Eq Data Source # |
Methods (==) :: Data -> Data -> Bool # (/=) :: Data -> Data -> Bool #
Show Data Source # |
Methods showsPrec :: Int -> Data -> ShowS # show :: Data -> String # showList :: [Data] -> ShowS #
XmlContent Data Source # |
Methods parseContents :: XMLParser Data # toContents :: Data -> [Content ()] # xToChar :: Data -> Char # xFromChar :: Char -> Data #
HTypeable Data Source # |
Methods toHType :: Data -> HType #

newtype Array Source #

Constructors

Array Data |

Instances

Eq Array Source # |
Methods (==) :: Array -> Array -> Bool # (/=) :: Array -> Array -> Bool #
Show Array Source # |
Methods showsPrec :: Int -> Array -> ShowS # show :: Array -> String # showList :: [Array] -> ShowS #
XmlContent Array Source # |
Methods parseContents :: XMLParser Array # toContents :: Array -> [Content ()] # xToChar :: Array -> Char # xFromChar :: Char -> Array #
HTypeable Array Source # |
Methods toHType :: Array -> HType #

newtype Name Source #

Constructors

Name String |

Instances

Eq Name Source # |
Methods (==) :: Name -> Name -> Bool # (/=) :: Name -> Name -> Bool #
Show Name Source # |
Methods showsPrec :: Int -> Name -> ShowS # show :: Name -> String # showList :: [Name] -> ShowS #
XmlContent Name Source # |
Methods parseContents :: XMLParser Name # toContents :: Name -> [Content ()] # xToChar :: Name -> Char # xFromChar :: Char -> Name #
HTypeable Name Source # |
Methods toHType :: Name -> HType #

data Member Source #

Constructors

Member Name Value |

Instances

Eq Member Source # |
Methods (==) :: Member -> Member -> Bool # (/=) :: Member -> Member -> Bool #
Show Member Source # |
Methods showsPrec :: Int -> Member -> ShowS # show :: Member -> String # showList :: [Member] -> ShowS #
XmlContent Member Source # |
Methods parseContents :: XMLParser Member # toContents :: Member -> [Content ()] # xToChar :: Member -> Char # xFromChar :: Char -> Member #
HTypeable Member Source # |
Methods toHType :: Member -> HType #

newtype Struct Source #

Constructors

Struct [Member] |

Instances

Eq Struct Source # |
Methods (==) :: Struct -> Struct -> Bool # (/=) :: Struct -> Struct -> Bool #
Show Struct Source # |
Methods showsPrec :: Int -> Struct -> ShowS # show :: Struct -> String # showList :: [Struct] -> ShowS #
XmlContent Struct Source # |
Methods parseContents :: XMLParser Struct # toContents :: Struct -> [Content ()] # xToChar :: Struct -> Char # xFromChar :: Char -> Struct #
HTypeable Struct Source # |
Methods toHType :: Struct -> HType #

newtype Value Source #

Constructors

Value [Value_] |

Instances

Eq Value Source # |
Methods (==) :: Value -> Value -> Bool # (/=) :: Value -> Value -> Bool #
Show Value Source # |
Methods showsPrec :: Int -> Value -> ShowS # show :: Value -> String # showList :: [Value] -> ShowS #
XmlContent Value Source # |
Methods parseContents :: XMLParser Value # toContents :: Value -> [Content ()] # xToChar :: Value -> Char # xFromChar :: Char -> Value #
HTypeable Value Source # |
Methods toHType :: Value -> HType #

data Value_ Source #

Constructors

Value_Str String |
Value_I4 I4 |
Value_I8 I8 |
Value_AInt AInt |
Value_Boolean Boolean |
Value_AString AString |
Value_DateTime_iso8601 DateTime_iso8601 |
Value_ADouble ADouble |
Value_Base64 Base64 |
Value_Struct Struct |
Value_Array Array |

Instances

Eq Value_ Source # |
Methods (==) :: Value_ -> Value_ -> Bool # (/=) :: Value_ -> Value_ -> Bool #
Show Value_ Source # |
Methods showsPrec :: Int -> Value_ -> ShowS # show :: Value_ -> String # showList :: [Value_] -> ShowS #
XmlContent Value_ Source # |
Methods parseContents :: XMLParser Value_ # toContents :: Value_ -> [Content ()] # xToChar :: Value_ -> Char # xFromChar :: Char -> Value_ #
HTypeable Value_ Source # |
Methods toHType :: Value_ -> HType #

newtype Param Source #

Constructors

Param Value |

Instances

Eq Param Source # |
Methods (==) :: Param -> Param -> Bool # (/=) :: Param -> Param -> Bool #
Show Param Source # |
Methods showsPrec :: Int -> Param -> ShowS # show :: Param -> String # showList :: [Param] -> ShowS #
XmlContent Param Source # |
Methods parseContents :: XMLParser Param # toContents :: Param -> [Content ()] # xToChar :: Param -> Char # xFromChar :: Char -> Param #
HTypeable Param Source # |
Methods toHType :: Param -> HType #

newtype Params Source #

Constructors

Params [Param] |

Instances

Eq Params Source # |
Methods (==) :: Params -> Params -> Bool # (/=) :: Params -> Params -> Bool #
Show Params Source # |
Methods showsPrec :: Int -> Params -> ShowS # show :: Params -> String # showList :: [Params] -> ShowS #
XmlContent Params Source # |
Methods parseContents :: XMLParser Params # toContents :: Params -> [Content ()] # xToChar :: Params -> Char # xFromChar :: Char -> Params #
HTypeable Params Source # |
Methods toHType :: Params -> HType #

newtype MethodName Source #

Constructors

MethodName String |

Instances

Eq MethodName Source # |
Methods (==) :: MethodName -> MethodName -> Bool # (/=) :: MethodName -> MethodName -> Bool #
Show MethodName Source # |
Methods showsPrec :: Int -> MethodName -> ShowS # show :: MethodName -> String # showList :: [MethodName] -> ShowS #
XmlContent MethodName Source # |
Methods parseContents :: XMLParser MethodName # toContents :: MethodName -> [Content ()] # xToChar :: MethodName -> Char # xFromChar :: Char -> MethodName #
HTypeable MethodName Source # |
Methods toHType :: MethodName -> HType #

data MethodCall Source #

Constructors

MethodCall MethodName (Maybe Params) |

Instances

Eq MethodCall Source # |
Methods (==) :: MethodCall -> MethodCall -> Bool # (/=) :: MethodCall -> MethodCall -> Bool #
Show MethodCall Source # |
Methods showsPrec :: Int -> MethodCall -> ShowS # show :: MethodCall -> String # showList :: [MethodCall] -> ShowS #
XmlContent MethodCall Source # |
Methods parseContents :: XMLParser MethodCall # toContents :: MethodCall -> [Content ()] # xToChar :: MethodCall -> Char # xFromChar :: Char -> MethodCall #
HTypeable MethodCall Source # |
Methods toHType :: MethodCall -> HType #

newtype Fault Source #

Constructors

Fault Value |

Instances

Eq Fault Source # |
Methods (==) :: Fault -> Fault -> Bool # (/=) :: Fault -> Fault -> Bool #
Show Fault Source # |
Methods showsPrec :: Int -> Fault -> ShowS # show :: Fault -> String # showList :: [Fault] -> ShowS #
XmlContent Fault Source # |
Methods parseContents :: XMLParser Fault # toContents :: Fault -> [Content ()] # xToChar :: Fault -> Char # xFromChar :: Char -> Fault #
HTypeable Fault Source # |
Methods toHType :: Fault -> HType #

data MethodResponse Source #

Constructors

MethodResponseParams Params |
MethodResponseFault Fault |

Instances

Eq MethodResponse Source # |
Methods (==) :: MethodResponse -> MethodResponse -> Bool # (/=) :: MethodResponse -> MethodResponse -> Bool #
Show MethodResponse Source # |
Methods showsPrec :: Int -> MethodResponse -> ShowS # show :: MethodResponse -> String # showList :: [MethodResponse] -> ShowS #
XmlContent MethodResponse Source # |
Methods parseContents :: XMLParser MethodResponse # toContents :: MethodResponse -> [Content ()] # xToChar :: MethodResponse -> Char # xFromChar :: Char -> MethodResponse #
HTypeable MethodResponse Source # |
Methods toHType :: MethodResponse -> HType #